Subject: Re: [PATCH net 1/2] net-shapers: clear hierarchy pointer and defer flush frees with RCU

From: Jakub Kicinski <[email-masked]>
Date: Mon, 16 Mar 2026 16:12:47 -0700

On Mon, 16 Mar 2026 18:45:48 +0000 Paul Moses wrote:
> > This is not the right fix. The shaper hierarchy as a while is not under
> > RCU. The problem is that we take a ref on netdev and then lock it,
> > assuming that it's still alive. But it may have gotten unregistered in
> > the meantime. The correct fix is to check that the netdev is still
> > alive after we lock the binding or take RCU from the Netlink side.  
> 
> Ok I see it now, I didn't care about anything except queue because it's the only 
> path that affected both drivers. This is an entirely different issue.

Did you write any of this email or am I just talking to an LLM?